# Sends out a preview of the CRC notification email

Sends out a preview of the CRC notification email

Endpoint: POST /references/{tenantId}/previewEmail
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The tenant

## Request body:

  - `application/json` (unknown)
    The domain_name to use to for record lookup

## Request fields (application/json):

  - `application_id` (string)

  - `destination_email_address` (string, required)

  - `email_template` (object)

  - `email_template.bcc` (string)
    Anyone that should be bcc'ed on the email

  - `email_template.body` (string, required)
    The email body

  - `email_template.cc` (string)
    Anyone that should be cc'ed on the email

  - `email_template.from` (string)
    From email address

  - `email_template.from_name` (string)
    From name

  - `email_template.reply_to` (string)
    The reply to

  - `email_template.subject` (string, required)
    The email subject

  - `nomination_id` (string)

  - `reference_id` (string, required)

## Response 200:

  - `200` (unknown)
    The record was retrieved successfully

## Response 200 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    Unable to locate any organizations with the specified domain

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve records based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

